=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2005-07-11 20:39:22 +0000
+++ bzrlib/branch.py	2005-07-11 20:51:20 +0000
@@ -199,7 +199,9 @@
             self._lock.unlock()
 
     def _get_base(self):
-        return self._transport.base
+        if self._transport:
+            return self._transport.base
+        return None
 
     base = property(_get_base)
 
@@ -1279,12 +1281,6 @@
             base = mkdtemp()
             init = True
         Branch.__init__(self, base, init=init)
-        # I'm giving ScratchBranch a base object, since most of the
-        # tests use it. Perhaps in the future the test functions
-        # should be updated to be aware of _transport
-        # Especially since it would be nice to use the same tests
-        # to test remote branches.
-        self.base = base
         for d in dirs:
             self._transport.mkdir(d)
             
@@ -1326,7 +1322,7 @@
                 for name in files:
                     os.chmod(os.path.join(root, name), 0700)
             rmtree(self.base)
-        self.base = None
+        self._transport = None
 
     
 

